pqxx::internal::parameterized_invocation Class Reference

Helper class to construct an invocation of a parameterised statement. More...

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::parameterized_invocation:
[legend]

## Public Member Functions

| parameterized_invocation (connection_base &, const std::string &query)
parameterized_invocation & | operator() ()
parameterized_invocation & | operator() (const binarystring &v)
template<typename T >
parameterized_invocation & | operator() (const T &v)
parameterized_invocation & | operator() (const binarystring &v, bool nonnull)
template<typename T >
parameterized_invocation & | operator() (const T &v, bool nonnull)
result | exec ()

## Detailed Description

Helper class to construct an invocation of a parameterised statement.

Deprecated:
  Use `exec_params` and friends instead.

## Constructor & Destructor Documentation

## parameterized_invocation()

pqxx::internal::parameterized_invocation::parameterized_invocation | ( | connection_base & | c,
|  | const std::string & | query
| ) |  |

## Member Function Documentation

## exec()

pqxx::result pqxx::internal::parameterized_invocation::exec | ( |  | ) |

## operator()() [1/5]

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( |  | ) |

## operator()() [2/5]

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const binarystring & | v | ) |

## operator()() [3/5]

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const binarystring & | v,
|  | bool | nonnull
| ) |  |

## operator()() [4/5]

template<typename T >

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const T & | v | ) |

## operator()() [5/5]

template<typename T >

parameterized_invocation& pqxx::internal::parameterized_invocation::operator() | ( | const T & | v,
|  | bool | nonnull
| ) |  |

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx